// _GestionParametres_Interface.java
// Created on 11 août 2010 by JavaClient Wizard 1.0
/*
 * Copyright Consortium Cocktail
 *
 * cocktail@univ-lr.fr
 *
 * Logiciel de gestion des ressources humaines des établissements.
 *
 * Ce logiciel est régi par la licence CeCILL soumise au droit français et
 * respectant les principes de diffusion des logiciels libres. Vous pouvez
 * utiliser, modifier et/ou redistribuer ce programme sous les conditions
 * de la licence CeCILL telle que diffusée par le CEA, le CNRS et l'INRIA
 * sur le site "http://www.cecill.info".

 * En contrepartie de l'accessibilité au code source et des droits de copie,
 * de modification et de redistribution accordés par cette licence, il n'est
 * offert aux utilisateurs qu'une garantie limitée.  Pour les mêmes raisons,
 * seule une responsabilité restreinte pèse sur l'auteur du programme,  le
 * titulaire des droits patrimoniaux et les concédants successifs.

 * A cet égard  l'attention de l'utilisateur est attirée sur les risques
 * associés au chargement,  à l'utilisation,  à la modification et/ou au
 * développement et à la reproduction du logiciel par l'utilisateur étant
 * donné sa spécificité de logiciel libre, qui peut le rendre complexe à
 * manipuler et qui le réserve donc à des développeurs et des professionnels
 * avertis possédant  des  connaissances  informatiques approfondies.  Les
 * utilisateurs sont donc invités à charger  et  tester  l'adéquation  du
 * logiciel à leurs besoins dans des conditions permettant d'assurer la
 * sécurité de leurs systèmes et ou de leurs données et, plus généralement,
 * à l'utiliser et l'exploiter dans les mêmes conditions de sécurité.

 * Le fait que vous puissiez accéder à cet en-tête signifie que vous avez
 * pris connaissance de la licence CeCILL, et que vous en avez accepté les
 * termes.
 */
package org.cocktail.mangue.client.primes.interfaces;
import org.cocktail.component.COFrame;

/**
 *
 * @author  christine
 */
public class _GestionParametres_Interface extends COFrame {

    /** Creates new form _GestionParametres_Interface */
    public _GestionParametres_Interface() {
        super();
        initComponents();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        displayGroup = new org.cocktail.component.CODisplayGroup();
        cOView1 = new org.cocktail.component.COView();
        cOComboBox1 = new org.cocktail.component.COComboBox();
        jLabel1 = new javax.swing.JLabel();
        cOTextField1 = new org.cocktail.component.COTextField();
        cOButton5 = new org.cocktail.component.COButton();
        vuePeriode = new org.cocktail.component.COView();
        listeAffichage = new org.cocktail.component.COTable();
        jLabel2 = new javax.swing.JLabel();
        cOLabel1 = new org.cocktail.component.COLabel();
        vueBoutonsModification = new org.cocktail.component.COView();
        cOButton1 = new org.cocktail.component.COButton();
        cOButton3 = new org.cocktail.component.COButton();
        cOButton4 = new org.cocktail.component.COButton();
        cOButton2 = new org.cocktail.component.COButton();
        cOView2 = new org.cocktail.component.COView();
        jLabel3 = new javax.swing.JLabel();
        cOTextField2 = new org.cocktail.component.COTextField();
        jLabel4 = new javax.swing.JLabel();
        cOTextField4 = new org.cocktail.component.COTextField();
        jLabel6 = new javax.swing.JLabel();
        cOTextField5 = new org.cocktail.component.COTextField();
        jLabel7 = new javax.swing.JLabel();
        cOTextField6 = new org.cocktail.component.COTextField();
        cOButton8 = new org.cocktail.component.COButton();
        cOButton9 = new org.cocktail.component.COButton();
        jLabel9 = new javax.swing.JLabel();
        cOTextField9 = new org.cocktail.component.COTextField();
        cOTextField7 = new org.cocktail.component.COTextField();
        jLabel8 = new javax.swing.JLabel();
        cOTextField10 = new org.cocktail.component.COTextField();
        cOTextField8 = new org.cocktail.component.COTextField();
        cOButton10 = new org.cocktail.component.COButton();
        cOButton11 = new org.cocktail.component.COButton();
        cOButton13 = new org.cocktail.component.COButton();
        cOButton12 = new org.cocktail.component.COButton();
        cOTextField16 = new org.cocktail.component.COTextField();
        jLabel11 = new javax.swing.JLabel();
        jLabel10 = new javax.swing.JLabel();
        cOTextField12 = new org.cocktail.component.COTextField();
        cOTextField11 = new org.cocktail.component.COTextField();
        jLabel12 = new javax.swing.JLabel();
        cOTextField13 = new org.cocktail.component.COTextField();
        jLabel15 = new javax.swing.JLabel();
        cOTextField14 = new org.cocktail.component.COTextField();
        jLabel5 = new javax.swing.JLabel();
        cOTextField15 = new org.cocktail.component.COTextField();
        jLabel14 = new javax.swing.JLabel();
        cOTextField17 = new org.cocktail.component.COTextField();
        jLabel13 = new javax.swing.JLabel();
        cOTextField3 = new org.cocktail.component.COTextField();
        cOButton14 = new org.cocktail.component.COButton();
        vueBoutonsValidation = new org.cocktail.component.COView();
        cOButton15 = new org.cocktail.component.COButton();
        cOButton16 = new org.cocktail.component.COButton();
        jLabel16 = new javax.swing.JLabel();

        displayGroup.setEntityName("PrimeParam");
        displayGroup.setHasDelegate(true);
        displayGroup.setIsMainDisplayGroupForController(true);

        setControllerClassName("org.cocktail.mangue.client.primes.GestionParametres");
        setSize(new java.awt.Dimension(809, 591));

        cOView1.setIsBox(true);
        cOView1.setTitle("Recherche");

        cOComboBox1.setEnabledMethod("popupActif");
        cOComboBox1.setTitleForSelection("typeValidite");
        cOComboBox1.setTitles("Valides,Historique");

        jLabel1.setFont(new java.awt.Font("Helvetica", 0, 12)); // NOI18N
        jLabel1.setText("Libellé");

        cOTextField1.setActionName("rechercher");
        cOTextField1.setEnabledMethod("popupActif");
        cOTextField1.setShouldRefreshImmediately(true);
        cOTextField1.setValueName("libelleRecherche");

        cOButton5.setActionName("rechercher");
        cOButton5.setBorderPainted(false);
        cOButton5.setEnabledMethod("popupActif");
        cOButton5.setIconName("loupe16.gif");

        org.jdesktop.layout.GroupLayout vuePeriodeLayout = new org.jdesktop.layout.GroupLayout(vuePeriode);
        vuePeriode.setLayout(vuePeriodeLayout);
        vuePeriodeLayout.setHorizontalGroup(
            vuePeriodeLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 450, Short.MAX_VALUE)
        );
        vuePeriodeLayout.setVerticalGroup(
            vuePeriodeLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 36, Short.MAX_VALUE)
        );

        org.jdesktop.layout.GroupLayout cOView1Layout = new org.jdesktop.layout.GroupLayout(cOView1);
        cOView1.setLayout(cOView1Layout);
        cOView1Layout.setHorizontalGroup(
            cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(cOView1Layout.createSequentialGroup()
                .addContainerGap()
                .add(cOComboBox1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 103, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(18, 18, 18)
                .add(jLabel1)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(cOTextField1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 263, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(cOButton5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(11, Short.MAX_VALUE))
            .add(org.jdesktop.layout.GroupLayout.TRAILING, cOView1Layout.createSequentialGroup()
                .addContainerGap(12, Short.MAX_VALUE)
                .add(vuePeriode, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap())
        );
        cOView1Layout.setVerticalGroup(
            cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, cOView1Layout.createSequentialGroup()
                .addContainerGap(10, Short.MAX_VALUE)
                .add(vuePeriode, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(4, 4, 4)
                .add(cOView1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(cOComboBox1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel1)
                    .add(cOTextField1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOButton5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(17, 17, 17))
        );

        listeAffichage.setColumns(new Object[][] {{"","pparLibelle",new Integer(2),"Libellé",new Integer(0),new Integer(510),new Integer(1000),new Integer(62)},{"%d/%m/%Y","debutValidite",new Integer(0),"Début Validité",new Integer(0),new Integer(98),new Integer(1000),new Integer(62)},{"%d/%m/%Y","finValidite",new Integer(0),"Fin Validité",new Integer(0),new Integer(83),new Integer(1000),new Integer(67)},{"","corps.cCorps",new Integer(0),"Corps",new Integer(0),new Integer(41),new Integer(1000),new Integer(39)},{null,"grade.cGrade",new Integer(0),"Grade",new Integer(0),new Integer(41),new Integer(1000),new Integer(40)},{null,"pparEchelonMini",new Integer(0),"Ech. Min",new Integer(0),new Integer(55),new Integer(1000),new Integer(53)},{"","pparEchelonMaxi",new Integer(0),"Ech. Max",new Integer(0),new Integer(56),new Integer(1000),new Integer(53)},{null,"pparIndice",new Integer(0),"Indice",new Integer(0),new Integer(43),new Integer(1000),new Integer(40)},{null,"fonction.libelleLong",new Integer(0),"Fonction",new Integer(0),new Integer(234),new Integer(1000),new Integer(40)},{"","pparEntier",new Integer(0),"Catégorie",new Integer(0),new Integer(59),new Integer(1000),new Integer(40)},{"0.00","pparTaux",new Integer(0),"Taux",new Integer(0),new Integer(59),new Integer(1000),new Integer(35)},{"0.00","pparMontant",new Integer(0),"Montant",new Integer(0),new Integer(85),new Integer(1000),new Integer(52)}});
        listeAffichage.setDisplayGroupForTable(displayGroup);

        jLabel2.setFont(new java.awt.Font("Helvetica", 0, 12)); // NOI18N
        jLabel2.setText("Paramètres");

        cOLabel1.setHorizontalAlignment(javax.swing.JTextField.RIGHT);
        cOLabel1.setValueName("nbParametres");

        cOButton1.setActionName("dupliquer");
        cOButton1.setBorderPainted(false);
        cOButton1.setEnabledMethod("boutonModificationAutorise");
        cOButton1.setIconName("renouveler.gif");

        cOButton3.setActionName("ajouter");
        cOButton3.setBorderPainted(false);
        cOButton3.setEnabledMethod("modeSaisiePossible");
        cOButton3.setIconName("ajouter16.gif");

        cOButton4.setActionName("supprimer");
        cOButton4.setBorderPainted(false);
        cOButton4.setEnabledMethod("boutonModificationAutorise");
        cOButton4.setIconName("supprimer16.gif");

        cOButton2.setActionName("modifier");
        cOButton2.setBorderPainted(false);
        cOButton2.setEnabledMethod("boutonModificationAutorise");
        cOButton2.setIconName("modifier16.gif");

        org.jdesktop.layout.GroupLayout vueBoutonsModificationLayout = new org.jdesktop.layout.GroupLayout(vueBoutonsModification);
        vueBoutonsModification.setLayout(vueBoutonsModificationLayout);
        vueBoutonsModificationLayout.setHorizontalGroup(
            vueBoutonsModificationLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(vueBoutonsModificationLayout.createSequentialGroup()
                .addContainerGap()
                .add(vueBoutonsModificationLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(cOButton1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOButton4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOButton2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(10, Short.MAX_VALUE))
            .add(vueBoutonsModificationLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                .add(vueBoutonsModificationLayout.createSequentialGroup()
                    .addContainerGap()
                    .add(cOButton3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .addContainerGap(10, Short.MAX_VALUE)))
        );
        vueBoutonsModificationLayout.setVerticalGroup(
            vueBoutonsModificationLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(vueBoutonsModificationLayout.createSequentialGroup()
                .add(20, 20, 20)
                .add(cOButton2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(cOButton1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(cOButton4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
            .add(vueBoutonsModificationLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                .add(vueBoutonsModificationLayout.createSequentialGroup()
                    .add(0, 0, 0)
                    .add(cOButton3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(4, 4, 4)))
        );

        cOView2.setIsBox(true);
        cOView2.setTitle("Paramètre");

        jLabel3.setFont(new java.awt.Font("Helvetica", 1, 12)); // NOI18N
        jLabel3.setText("Libellé");

        cOTextField2.setDisplayGroupForValue(displayGroup);
        cOTextField2.setEnabledMethod("modificationEnCours");
        cOTextField2.setSupportsBackgroundColor(true);
        cOTextField2.setValueName("pparLibelle");

        jLabel4.setFont(new java.awt.Font("Helvetica", 1, 12)); // NOI18N
        jLabel4.setText("Date validité");

        cOTextField4.setDisplayGroupForValue(displayGroup);
        cOTextField4.setEnabledMethod("modificationEnCours");
        cOTextField4.setSupportsBackgroundColor(true);
        cOTextField4.setValueName("finValiditeFormatee");

        jLabel6.setFont(new java.awt.Font("Helvetica", 0, 12)); // NOI18N
        jLabel6.setText("Fin validité");

        cOTextField5.setDisplayGroupForValue(displayGroup);
        cOTextField5.setEnabledMethod("modificationEnCours");
        cOTextField5.setSupportsBackgroundColor(true);
        cOTextField5.setValueName("debutValiditeFormatee");

        jLabel7.setFont(new java.awt.Font("Helvetica", 0, 12)); // NOI18N
        jLabel7.setText("Fonction");

        cOTextField6.setDisplayGroupForValue(displayGroup);
        cOTextField6.setEnabledMethod("nonEditable");
        cOTextField6.setSupportsBackgroundColor(true);
        cOTextField6.setValueName("fonction.libelleLong");

        cOButton8.setActionName("afficherFonctions");
        cOButton8.setBorderPainted(false);
        cOButton8.setEnabledMethod("modificationEnCours");
        cOButton8.setIconName("loupe16.gif");

        cOButton9.setActionName("supprimerFonction");
        cOButton9.setBorderPainted(false);
        cOButton9.setEnabledMethod("peutSupprimerFonction");
        cOButton9.setIconName("supprimer16.gif");

        jLabel9.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel9.setText("Corps");

        cOTextField9.setEnabledMethod("modificationEnCours");
        cOTextField9.setSupportsBackgroundColor(true);
        cOTextField9.setValueName("corps");

        cOTextField7.setDisplayGroupForValue(displayGroup);
        cOTextField7.setEnabledMethod("nonEditable");
        cOTextField7.setSupportsBackgroundColor(true);
        cOTextField7.setValueName("corps.llCorps");

        jLabel8.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel8.setText("Grade");

        cOTextField10.setEnabledMethod("modificationEnCours");
        cOTextField10.setSupportsBackgroundColor(true);
        cOTextField10.setValueName("grade");

        cOTextField8.setDisplayGroupForValue(displayGroup);
        cOTextField8.setEnabledMethod("nonEditable");
        cOTextField8.setSupportsBackgroundColor(true);
        cOTextField8.setValueName("grade.llGrade");

        cOButton10.setActionName("afficherCorps");
        cOButton10.setBorderPainted(false);
        cOButton10.setEnabledMethod("modificationEnCours");
        cOButton10.setIconName("loupe16.gif");

        cOButton11.setActionName("supprimerCorps");
        cOButton11.setBorderPainted(false);
        cOButton11.setEnabledMethod("peutSupprimerCorps");
        cOButton11.setIconName("supprimer16.gif");

        cOButton13.setActionName("supprimerGrade");
        cOButton13.setBorderPainted(false);
        cOButton13.setEnabledMethod("peutSupprimerGrade");
        cOButton13.setIconName("supprimer16.gif");

        cOButton12.setActionName("afficherGrades");
        cOButton12.setBorderPainted(false);
        cOButton12.setEnabledMethod("modificationEnCours");
        cOButton12.setIconName("loupe16.gif");

        cOTextField16.setDisplayGroupForValue(displayGroup);
        cOTextField16.setEnabledMethod("modificationEnCours");
        cOTextField16.setSupportsBackgroundColor(true);
        cOTextField16.setValueName("pparEchelonMini");

        jLabel11.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel11.setText("Echelon mini");

        jLabel10.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel10.setText("Code");

        cOTextField12.setDisplayGroupForValue(displayGroup);
        cOTextField12.setEnabledMethod("nonEditable");
        cOTextField12.setSupportsBackgroundColor(true);
        cOTextField12.setValueName("code.pcodCode");

        cOTextField11.setDisplayGroupForValue(displayGroup);
        cOTextField11.setEnabledMethod("nonEditable");
        cOTextField11.setSupportsBackgroundColor(true);
        cOTextField11.setValueName("code.pcodLibelle");

        jLabel12.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel12.setText("Echelon maxi");

        cOTextField13.setDisplayGroupForValue(displayGroup);
        cOTextField13.setEnabledMethod("modificationEnCours");
        cOTextField13.setSupportsBackgroundColor(true);
        cOTextField13.setValueName("pparEchelonMaxi");

        jLabel15.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel15.setText("Indice");

        cOTextField14.setDisplayGroupForValue(displayGroup);
        cOTextField14.setEnabledMethod("modificationEnCours");
        cOTextField14.setSupportsBackgroundColor(true);
        cOTextField14.setValueName("pparIndice");

        jLabel5.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel5.setText("Catégorie");

        cOTextField15.setDisplayGroupForValue(displayGroup);
        cOTextField15.setEnabledMethod("modificationEnCours");
        cOTextField15.setSupportsBackgroundColor(true);
        cOTextField15.setValueName("pparEntier");

        jLabel14.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel14.setText("Taux");

        cOTextField17.setDisplayGroupForValue(displayGroup);
        cOTextField17.setEnabledMethod("modificationEnCours");
        cOTextField17.setNumberFieldFormat("0.00");
        cOTextField17.setSupportsBackgroundColor(true);
        cOTextField17.setValueName("pparTaux");

        jLabel13.setFont(new java.awt.Font("Helvetica", 0, 12)); // NOI18N
        jLabel13.setText("Montant");

        cOTextField3.setDisplayGroupForValue(displayGroup);
        cOTextField3.setEnabledMethod("modificationEnCours");
        cOTextField3.setNumberFieldFormat("0.00");
        cOTextField3.setSupportsBackgroundColor(true);
        cOTextField3.setValueName("pparMontant");

        cOButton14.setActionName("afficherCodes");
        cOButton14.setBorderPainted(false);
        cOButton14.setEnabledMethod("modificationEnCours");
        cOButton14.setIconName("loupe16.gif");

        cOButton15.setActionName("annuler");
        cOButton15.setBorderPainted(false);
        cOButton15.setEnabledMethod("modificationEnCours");
        cOButton15.setIconName("annuler16.gif");

        cOButton16.setActionName("valider");
        cOButton16.setBorderPainted(false);
        cOButton16.setEnabledMethod("peutValider");
        cOButton16.setIconName("valider16.gif");

        org.jdesktop.layout.GroupLayout vueBoutonsValidationLayout = new org.jdesktop.layout.GroupLayout(vueBoutonsValidation);
        vueBoutonsValidation.setLayout(vueBoutonsValidationLayout);
        vueBoutonsValidationLayout.setHorizontalGroup(
            vueBoutonsValidationLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(vueBoutonsValidationLayout.createSequentialGroup()
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .add(cOButton15, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(cOButton16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
        );
        vueBoutonsValidationLayout.setVerticalGroup(
            vueBoutonsValidationLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(vueBoutonsValidationLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                .add(cOButton15, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(cOButton16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
        );

        org.jdesktop.layout.GroupLayout cOView2Layout = new org.jdesktop.layout.GroupLayout(cOView2);
        cOView2.setLayout(cOView2Layout);
        cOView2Layout.setHorizontalGroup(
            cOView2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(cOView2Layout.createSequentialGroup()
                .addContainerGap()
                .add(cOView2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(jLabel10)
                    .add(jLabel8)
                    .add(jLabel9)
                    .add(jLabel7)
                    .add(jLabel4)
                    .add(jLabel3)
                    .add(jLabel11))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(cOView2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(cOView2Layout.createSequentialGroup()
                        .add(cOTextField16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 24, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jLabel12)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(cOTextField13, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 24, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jLabel15)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(cOTextField14, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 47, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jLabel5)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(cOTextField15, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 47, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jLabel14)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(cOTextField17, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 54, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jLabel13)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(cOTextField3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 67, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(cOView2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                        .add(cOTextField2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 602, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(cOView2Layout.createSequentialGroup()
                            .add(cOTextField5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 82, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .add(jLabel6)
                            .add(18, 18, 18)
                            .add(cOTextField4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 82, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                    .add(cOView2Layout.createSequentialGroup()
                        .add(cOTextField6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 549, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(cOButton9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(cOButton8, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(cOView2Layout.createSequentialGroup()
                        .add(cOTextField9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 40, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(18, 18, 18)
                        .add(cOTextField7, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 306, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(cOButton11, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(cOButton10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(cOView2Layout.createSequentialGroup()
                        .add(cOTextField10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 40, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(18, 18, 18)
                        .add(cOTextField8, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 306, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(cOButton13, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(cOButton12, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(cOView2Layout.createSequentialGroup()
                        .add(cOTextField12, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 75, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(18, 18, 18)
                        .add(cOTextField11, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 484, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(cOButton14, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
            .add(org.jdesktop.layout.GroupLayout.TRAILING, cOView2Layout.createSequentialGroup()
                .addContainerGap(471, Short.MAX_VALUE)
                .add(jLabel16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 40, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(137, 137, 137)
                .add(vueBoutonsValidation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap())
        );
        cOView2Layout.setVerticalGroup(
            cOView2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(cOView2Layout.createSequentialGroup()
                .add(cOView2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel4)
                    .add(cOTextField4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel6)
                    .add(cOTextField5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(4, 4, 4)
                .add(cOView2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel3)
                    .add(cOTextField2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(4, 4, 4)
                .add(cOView2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel7)
                    .add(cOTextField6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOButton9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOButton8, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(4, 4, 4)
                .add(cOView2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel9)
                    .add(cOTextField9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOTextField7, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOButton11, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOButton10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(4, 4, 4)
                .add(cOView2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel8)
                    .add(cOTextField10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOTextField8, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOButton13, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOButton12, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(4, 4, 4)
                .add(cOView2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(cOView2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(cOTextField16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(jLabel11))
                    .add(cOView2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(jLabel12)
                        .add(cOTextField13, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(jLabel15)
                        .add(cOTextField14, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(jLabel5)
                        .add(cOTextField15, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(jLabel14)
                        .add(cOTextField17, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(cOTextField3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(jLabel13)))
                .add(4, 4, 4)
                .add(cOView2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel10)
                    .add(cOTextField12, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOTextField11, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOButton14, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(4, 4, 4)
                .add(cOView2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(vueBoutonsValidation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(45, 45, 45)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                            .add(layout.createSequentialGroup()
                                .add(cOLabel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 30, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(jLabel2))
                            .add(listeAffichage, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 703, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(cOView2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 703, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .add(4, 4, 4)
                        .add(vueBoutonsModification, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(layout.createSequentialGroup()
                        .add(137, 137, 137)
                        .add(cOView1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap(24, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(cOView1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 106, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(4, 4, 4)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(vueBoutonsModification, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(layout.createSequentialGroup()
                        .add(listeAffichage, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 207, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(4, 4, 4)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(jLabel2)
                            .add(cOLabel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(cOView2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .add(29, 29, 29))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents
  
    // Variables declaration - do not modify//GEN-BEGIN:variables
    public org.cocktail.component.COButton cOButton1;
    public org.cocktail.component.COButton cOButton10;
    public org.cocktail.component.COButton cOButton11;
    public org.cocktail.component.COButton cOButton12;
    public org.cocktail.component.COButton cOButton13;
    public org.cocktail.component.COButton cOButton14;
    public org.cocktail.component.COButton cOButton15;
    public org.cocktail.component.COButton cOButton16;
    public org.cocktail.component.COButton cOButton2;
    public org.cocktail.component.COButton cOButton3;
    public org.cocktail.component.COButton cOButton4;
    public org.cocktail.component.COButton cOButton5;
    public org.cocktail.component.COButton cOButton8;
    public org.cocktail.component.COButton cOButton9;
    public org.cocktail.component.COComboBox cOComboBox1;
    public org.cocktail.component.COLabel cOLabel1;
    public org.cocktail.component.COTextField cOTextField1;
    public org.cocktail.component.COTextField cOTextField10;
    public org.cocktail.component.COTextField cOTextField11;
    public org.cocktail.component.COTextField cOTextField12;
    public org.cocktail.component.COTextField cOTextField13;
    public org.cocktail.component.COTextField cOTextField14;
    public org.cocktail.component.COTextField cOTextField15;
    public org.cocktail.component.COTextField cOTextField16;
    public org.cocktail.component.COTextField cOTextField17;
    public org.cocktail.component.COTextField cOTextField2;
    public org.cocktail.component.COTextField cOTextField3;
    public org.cocktail.component.COTextField cOTextField4;
    public org.cocktail.component.COTextField cOTextField5;
    public org.cocktail.component.COTextField cOTextField6;
    public org.cocktail.component.COTextField cOTextField7;
    public org.cocktail.component.COTextField cOTextField8;
    public org.cocktail.component.COTextField cOTextField9;
    private org.cocktail.component.COView cOView1;
    private org.cocktail.component.COView cOView2;
    public org.cocktail.component.CODisplayGroup displayGroup;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel11;
    private javax.swing.JLabel jLabel12;
    private javax.swing.JLabel jLabel13;
    private javax.swing.JLabel jLabel14;
    private javax.swing.JLabel jLabel15;
    private javax.swing.JLabel jLabel16;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    public org.cocktail.component.COTable listeAffichage;
    public org.cocktail.component.COView vueBoutonsModification;
    public org.cocktail.component.COView vueBoutonsValidation;
    public org.cocktail.component.COView vuePeriode;
    // End of variables declaration//GEN-END:variables
                  

}
